# Intel® Enhanced Privacy ID SDK: epid/member/context.c File Reference

context.c File Reference

Member context implementation. More...

`#include <string.h>`
`#include "epid/member/api.h"`
`#include "epid/member/context.h"`
`#include "epid/member/privkey.h"`
`#include "epid/common/memory.h"`

## Functions

EpidStatus | EpidMemberCreate (GroupPubKey const *pub_key, PrivKey const *priv_key, MemberPrecomp const *precomp, BitSupplier rnd_func, void *rnd_param, MemberCtx **ctx)
| Creates a new member context. More...
void | EpidMemberDelete (MemberCtx **ctx)
| Deletes an existing member context. More...
EpidStatus | EpidMemberWritePrecomp (MemberCtx const *ctx, MemberPrecomp *precomp)
| Serializes the pre-computed member settings. More...
EpidStatus | EpidMemberSetHashAlg (MemberCtx *ctx, HashAlg hash_alg)
| Sets the hash algorithm to be used by a member. More...
EpidStatus | EpidRegisterBaseName (MemberCtx *ctx, void const *basename, size_t basename_len)
| Registers a basename with a member. More...
void | DeleteBasenames (AllowedBasename **rootnode)
| Delete base name list.
EpidStatus | AddBasename (AllowedBasename **rootnode, void const *basename, size_t length)
| Add new base name to list.
bool | ContainsBasename (AllowedBasename const *rootnode, void const *basename, size_t length)
| Check if given base name exist in the list.
EpidStatus | EpidAddPreSigs (MemberCtx *ctx, size_t number_presigs, PreComputedSignature *presigs)
| Extends the member's pool of pre-computed signatures. More...
size_t | EpidGetNumPreSigs (MemberCtx const *ctx)
| Gets the number of pre-computed signatures in the member's pool. More...
EpidStatus | EpidWritePreSigs (MemberCtx *ctx, PreComputedSignature *presigs, size_t number_presigs)
| Serializes pre-computed signatures from the member's pool. More...

## Detailed Description

Member context implementation.